%define		_class		Net
%define		_subclass	IPv4
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.3.5
Release:	%mkrel 2
Summary:	IPv4 network calculations and validation
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_IPv4/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Class used for calculating IPv4 (AF_INET family) address information
such as network addresses as well as IP address validity.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test
rm -f %{buildroot}%{_datadir}/pear/data/%{upstream_name}/composer.json
install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.3.5-2.mga8
+ Revision: 1522033
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 mokraemer <mokraemer> 1.3.5-1.mga7
+ Revision: 1357076
- new version 1.3.5

* Wed Sep 19 2018 umeabot <umeabot> 1.3.4-7.mga7
+ Revision: 1273726
- Mageia 7 Mass Rebuild

* Sat Mar 12 2016 umeabot <umeabot> 1.3.4-6.mga6
+ Revision: 989420
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-5.mga5
+ Revision: 744879
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-4.mga5
+ Revision: 687371
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.4-3.mga4
+ Revision: 517082
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.4-2.mga3
+ Revision: 376982
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 1.3.4-1.mga1
+ Revision: 43810
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_IPv4


* Thu Sep 09 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.4-1mdv2011.0
+ Revision: 576925
- update to new version 1.3.4

* Sat Aug 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-1mdv2011.0
+ Revision: 569599
- update to new version 1.3.2

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-4mdv2010.1
+ Revision: 468704
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Nov 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-3mdv2010.1
+ Revision: 463812
- use rpm filetriggers to register starting from mandriva 2010.1

* Thu Oct 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-2mdv2010.0
+ Revision: 452036
- fix %%postun

* Sun Sep 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 450230
- new version
- use pear installer
- use fedora %%post/%%postun

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.3.0-4mdv2010.0
+ Revision: 441450
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-3mdv2009.1
+ Revision: 322431
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2009.0
+ Revision: 236985
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-1mdv2007.0
+ Revision: 82320
- Import php-pear-Net_IPv4

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-1mdk
- 1.3.0
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2-5mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2-4mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2-3mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdk
- fix spec file to conform with the others

* Sat May 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdk
- initial Mandriva package

